---@meta

---@class UWBP_HUD_ToolbarButton_C : UB1BuildModeToolbarButton
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Anim_Deselected UWidgetAnimation
---@field Anim_Selected UWidgetAnimation
---@field Anim_Hover UWidgetAnimation
---@field Anim_Enable UWidgetAnimation
---@field Anim_Disable UWidgetAnimation
---@field Anim_Idle UWidgetAnimation
---@field Image_Select UB1Image
local UWBP_HUD_ToolbarButton_C = {}

function UWBP_HUD_ToolbarButton_C:BndEvt__WBP_HUD_Undo_BW_Button_K2Node_ComponentBoundEvent_0_OnButtonHoverEvent__DelegateSignature() end
function UWBP_HUD_ToolbarButton_C:BndEvt__WBP_HUD_Undo_BW_Button_K2Node_ComponentBoundEvent_1_OnButtonHoverEvent__DelegateSignature() end
---@param InSelected boolean
function UWBP_HUD_ToolbarButton_C:OnSelectButton(InSelected) end
---@param InEnable boolean
function UWBP_HUD_ToolbarButton_C:OnEnableButton(InEnable) end
---@param EntryPoint int32
function UWBP_HUD_ToolbarButton_C:ExecuteUbergraph_WBP_HUD_ToolbarButton(EntryPoint) end


